## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Get Tables For Connection

#### Request

```
POST /v1/connections/{connectionId}/tables
```

#### cURL

```
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/tables \
  --header 'Authorization: Bearer <token>'
```

#### Example: Using Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/tables"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

#### Example: Using JavaScript

```javascript
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/tables', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### Example: Using PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/tables",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Response Structure

202 - application/json

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}
```

### Authorizations

**Authorization**

- **Type**: string
- **Location**: header
- **Required**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

- **connectionId**: string (required)

### Response Fields

- **id**: string - The unique object identifier.
- **version**: integer<int64> - Indicates the data integrity version to ensure data consistency.
- **creationDate**: string<date-time> - The date that the object was originally created.
- **lastModifiedDate**: string<date-time> - The date that the object was last updated or modified.
- **createdUserInfo**: object - Details about the user who created the object.
- **lastModifiedUserInfo**: object - Details about the user who last modified or updated the object.
- **entityId**: string - Identifies the entity used in the job.
- **error**: string - The reason why the async job failed.
- **errorMessage**: string - Was this page helpful?
